export declare abstract class Exception {
    message: string;
    protected constructor(message: string);
}
export declare class APIException extends Exception {
    statusCode: number;
    requestURL: string;
    responseData: any;
    errorId: string | null;
    errorCode: string | null;
    constructor(message: string, statusCode: number, requestURL: string, responseData: any, errorId: string | null, errorCode: string | null);
}
export declare class NetworkConnectionException extends Exception {
    requestURL: string;
    originalErrorMessage: string;
    /**
     * CAVEAT:
     * Do not store (or serialize) original NetworkError object here.
     * Because the error object can include the whole request, which is extremely large in some case.
     */
    constructor(message: string, requestURL: string, originalErrorMessage?: string);
}
export declare class RuntimeException extends Exception {
    errorObject: any;
    constructor(message: string, errorObject: any);
}
export declare class ReactLifecycleException extends Exception {
    message: string;
    componentStack: string;
    constructor(message: string, componentStack: string);
}
