export class Exception {
    constructor(message) {
        this.message = message;
    }
}
export class APIException extends Exception {
    constructor(message, statusCode, requestURL, responseData, errorId, errorCode) {
        super(message);
        this.statusCode = statusCode;
        this.requestURL = requestURL;
        this.responseData = responseData;
        this.errorId = errorId;
        this.errorCode = errorCode;
    }
}
export class NetworkConnectionException extends Exception {
    /**
     * CAVEAT:
     * Do not store (or serialize) original NetworkError object here.
     * Because the error object can include the whole request, which is extremely large in some case.
     */
    constructor(message, requestURL, originalErrorMessage = "") {
        super(message);
        this.requestURL = requestURL;
        this.originalErrorMessage = originalErrorMessage;
    }
}
export class RuntimeException extends Exception {
    constructor(message, errorObject) {
        super(message);
        this.errorObject = errorObject;
    }
}
export class ReactLifecycleException extends Exception {
    constructor(message, componentStack) {
        super(message);
        this.message = message;
        this.componentStack = componentStack;
    }
}
//# sourceMappingURL=Exception.js.map